> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/pam/pam-with-devolutions-cloud/session-recording.md).

# Session recording

Enable session recording for RDP, ARD, VNC, and SSH connections in Devolutions Cloud PAM using Devolutions Gateway and Cloud Services.

This guide outlines the configuration required to enable session recording in Devolutions Cloud PAM using Devolutions Gateway. The connection types supported for session recording are RDP, ARD, VNC and SSH.

1. Create an [application identity](https://docs.devolutions.net/cloud/web-interface/administration/management/application-identities/manage-application-identities) and assign the following permissions to it in ***Administration*** – ***System permissions***:
   * ***View entries***
   * ***Manage privileged access tasks***
   * ***Manage gateways***
   * ***Manage PAM tasks***
   * ***Manage privileged access providers***
   * ***Manage gateways***
   * ***Manage system configuration***
   * ***Manage scheduled reports***
2. Download [Devolutions Cloud Services](https://devolutions.net/download-center/#hub), and install it on the gateway.

   <div data-gb-custom-block data-tag="hint" data-style="info" class="hint hint-info"><p>Devolutions Cloud Services can be installed on a separate machine that has access to the gateway ports.</p></div>
3. After reading and accepting the ***End-user license agreement***, check ***PAM*** from the ***Custom setup*** feature list.
4. Enter your ***Host URL***, as well as the ***Application secret*** and ***Application key*** you save at the end of step 1. You can then test your connection to see if everything is working properly. Click on ***Finish***.
5. In Devolutions Cloud's web interface, go to ***Administration*** – ***Application services***, click the ***Add*** button (+), and select ***PAM service***. Give the service a name and choose the application identity created during step #1 in the ***Application identity*** dropdown menu.
6. Then, navigate to ***Administration*** – ***System settings*** and select ***Enable Devolutions Gateway recording*** setting.
7. Set the ***Recording property*** of the relevant entry to ***Remote*** by going to ***Session recording*** – ***Recording***.
8. Verify that the connection works and the session recording is functional. To view the session recording in the web interface of Devolutions Cloud or in a Remote Desktop Manager workspace, navigate to the relevant entry (RDP, for example) and open the ***Recordings*** tab.

#### See also

* [Devolutions Academy – Creating an application identity and application services](https://academy.devolutions.net/student/page/2761705-creating-an-application-identity-and-application-services?curriculum_activity_id=4271807\&path_id=2543918\&sid=81108377-adec-4542-a269-b4bbbaae09ad\&sid_i=0)
* [Devolutions Academy – Enabling session recording in Devolutions Cloud](https://academy.devolutions.net/student/page/3133737-enabling-session-recording-in-devolutions-hub-business?curriculum_activity_id=4853363\&path_id=2628397\&sid=bf2e48f6-3c6d-48f3-a850-e4ec11e7630e\&sid_i=0)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/pam/pam-with-devolutions-cloud/session-recording.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
